Subject: [p2p-sip] what's wrong with DNS?
From: adamfisk at gmail.com (Adam Fisk)
Date: Mon, 20 Nov 2006 10:41:59 -0500

No -- I'm talking about continuing to have non-firewalled nodes act as
registrars and proxies.  So, you still have a voluntary, fully distributed
system.  In fact, it would be just as decentralized as the current vision
for p2p SIP, except it would use dynamic DNS instead of a DHT.

-Adam

On 11/20/06, Gustavo Garc?a Bernardo <ggb at tid.es> wrote:
>
> > > I had a conversation with Paul Francis at the recent
> > > networking conference
> > > at NYU.  I brought up p2p SIP and the implementation
> > > of it I've been working
> > > on, and he said "What's wrong with DNS?"
> > > Specifically, with dynamic DNS.  I
> > > didn't understand his point at first because my work
> > > incorporates HTTP web
> > > servers, and I thought he missed that you still need
> > > SIP/STUN/TURN/ICE to
> > > negotiate the NATs.  He was talking about for the
> > > registrars, though.  If
> > > your registrar goes down for, say,
> > > sip:afisk at mysubdomain.p2psip.org, and I
> > > get a new one, why not just use dynamic DNS to remap
> > > mysubdomain.p2psip.orgto the new registrar?
>
> That solution continues being centralized (you are only changing the
> registrar when the main goes down), you aren't getting the advantages of
> P2P
> like zero infrastructure, load distribution among nodes, working in
> isolated/ad-hoc environments...
>
> > Also, it is entirely possible to build a P2P system
> > that simply let you register names in a subtree of the
> > DNS. For example, the PNRP feature in Vista allows
> > each Vista host to publish a name of the form
> > "JohnDoe.pnrp.net", or a secure variant thereof,
> > according to Noah Horton's blog
> > (http://blogs.msdn.com/noahh/archive/2006/08/23/715894.aspx).
> > Once you can publish a DNS name, running SIP appears
> > rather simple, right?
>
> As far as I know, PNRP uses a DHT like algorithm.  PNRP doesn't register
> anything in DNS despite of the fact that it employs IDs like DNS ones
> (subdomain.domain).
>
> > -- Karst
> >
>
>
> G.
>
> >
> __________________________________________________________________________
> > __________
> > Sponsored Link
> >
> > $420k for $1,399/mo.
> > Think You Pay Too Much For Your Mortgage?
> > Find Out! www.LowerMyBills.com/lre
> > _______________________________________________
> > p2p-sip mailing list
> > p2p-sip at cs.columbia.edu
> > https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: https://lists.cs.columbia.edu/pipermail/p2p-sip/attachments/20061120/d10de158/attachment.html